Subject: [bug#49859] Remove packages that depend on unsupported old OpenSSL releases

From: Giovanni Biscuolo <[email-masked]>
Date: Thu, 12 Aug 2021 19:24:32 +0200

Hi Leo,

Leo Famulari <[email-masked]> writes:

[...]

>> AFAIU Debian was applying this patch:
>> https://sources.debian.org/patches/android-platform-system-core/1:7.0.0+r33-1/adb_libssl_11.diff/
>> 
>> in the adb package ver 1:7.0.0+r33-1
>> 
>> OpenWRT was (is?) applying this (more "invasive") patch:
>> https://github.com/openwrt/openwrt/pull/971/files
>> 
>> I'll try the Debian one and send a patch if I succeed.
>
> Awesome, thanks! Let us know how it goes.

It seems I did it! :-D (fortunately it was really easy)

I sent a patch as bug#50029.

AFAIU the adb patch also fixes the issue with fastboot, since fastboot
does not directly depend on openssl but indirectly via adb and
android-libselinux that already have openssl (1.1) as input: right?

> I'll proceed with hiding openssl-1.0 and removing the other packages
> (not adb or fastboot) in the meantime.

Thank you and happy hacking!

Ciao, Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures